## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class NoClosurePropertyForURIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.NoClosurePropertyForURIException

All Implemented Interfaces:
  Serializable

    public class NoClosurePropertyForURIException

extends GrailsMVCException

Thrown when no closure property has been mapped to a given URI.

Since:
  Jul 2, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`NoClosurePropertyForURIException()`
`NoClosurePropertyForURIException(String arg0)`
`NoClosurePropertyForURIException(String arg0, Throwable arg1)`
`NoClosurePropertyForURIException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoClosurePropertyForURIException

    public NoClosurePropertyForURIException()

### NoClosurePropertyForURIException

    public NoClosurePropertyForURIException(String arg0)

### NoClosurePropertyForURIException

    public NoClosurePropertyForURIException(String arg0,
                                            Throwable arg1)

### NoClosurePropertyForURIException

    public NoClosurePropertyForURIException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project